summaryrefslogtreecommitdiffstats
path: root/source.local/n/procmail
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2013-03-22 16:47:17 -0700
committer Eric Hameleers <alien@slackware.com>2013-03-22 16:47:17 -0700
commit69dd99f961988fa15da8d7f0d63b62f3385419c3 (patch)
treed57eb3e85e1d08e7815787de26946ee42c398b66 /source.local/n/procmail
downloadalienarm-69dd99f961988fa15da8d7f0d63b62f3385419c3.tar.gz
alienarm-69dd99f961988fa15da8d7f0d63b62f3385419c3.tar.xz
Initial commit of a Slackware cross-arch bootstrap framework.
Diffstat (limited to 'source.local/n/procmail')
-rw-r--r--source.local/n/procmail/procmail-3.22.tar.gz.sig10
-rwxr-xr-xsource.local/n/procmail/procmail.SlackBuild99
-rw-r--r--source.local/n/procmail/procmail.lfs.diff.gzbin0 -> 277 bytes
-rw-r--r--source.local/n/procmail/procmail_3.22-5.diff.gzbin0 -> 13073 bytes
-rw-r--r--source.local/n/procmail/slack-desc19
5 files changed, 128 insertions, 0 deletions
diff --git a/source.local/n/procmail/procmail-3.22.tar.gz.sig b/source.local/n/procmail/procmail-3.22.tar.gz.sig
new file mode 100644
index 0000000..a06469a
--- /dev/null
+++ b/source.local/n/procmail/procmail-3.22.tar.gz.sig
@@ -0,0 +1,10 @@
+-----BEGIN PGP SIGNATURE-----
+Version: PGPfreeware 5.0i for non-commercial use
+MessageID: H9iH9s3gQhPn6vv8avDf2ogkcOR/pWO8
+
+iQCVAwUAO52crgSfxfRKJdNRAQHatgP/YTN6LtVPNjvbNHI5UJH5C6CqGn4TZx1N
+WvXa3rYtQXpcJy9JvJxnVGd7t35FxKebTFs2bI+ZDRlqGORNyRfHnVC+SsyQgvpK
+M5euCw71knjppocVixY47zZUlpAzooIqGTuxXOVUEW9bpCw4RivhZFhiDFWbbeJ6
+zCf/7Oku+qI=
+=JhTT
+-----END PGP SIGNATURE-----
diff --git a/source.local/n/procmail/procmail.SlackBuild b/source.local/n/procmail/procmail.SlackBuild
new file mode 100755
index 0000000..594c32d
--- /dev/null
+++ b/source.local/n/procmail/procmail.SlackBuild
@@ -0,0 +1,99 @@
+#!/bin/sh
+
+# Copyright 2008, 2009, 2010 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified 2012 by Eric Hameleers <alien at slackware.com> for ARM port.
+
+
+VERSION=3.22
+BUILD=${BUILD:-2}
+
+# Automatically determine the architecture we're building on:
+MARCH=$( uname -m )
+if [ -z "$ARCH" ]; then
+ case "$MARCH" in
+ i?86) export ARCH=i486 ;;
+ armv7hl) export ARCH=$MARCH ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$MARCH ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-procmail
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+# Explode the package framework:
+cd $PKG
+explodepkg $CWD/_procmail.tar.gz
+
+cd $TMP
+rm -rf procmail-$VERSION
+tar xvf $CWD/procmail-$VERSION.tar.gz || exit 1
+cd procmail-$VERSION || exit 1
+zcat $CWD/procmail_3.22-5.diff.gz | patch -p1 --verbose || exit 1
+zcat $CWD/procmail.lfs.diff.gz | patch -p1 --verbose || exit 1
+# Compensate for conflicting getline declaration:
+sed -i -e "s/getline/mygetline/g" $(grep -lr getline .)
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+make || exit 1
+
+cd src
+cat formail > $PKG/usr/bin/formail
+cat lockfile > $PKG/usr/bin/lockfile
+cat mailstat > $PKG/usr/bin/mailstat
+cat procmail > $PKG/usr/bin/procmail
+
+cd ../man
+for file in formail.1 lockfile.1 procmail.1 ; do
+ gzip -9c $file > $PKG/usr/man/man1/$file.gz
+done
+for file in procmailex.5 procmailrc.5 procmailsc.5 ; do
+ gzip -9c $file > $PKG/usr/man/man5/$file.gz
+done
+cd ..
+
+mkdir -p $PKG/usr/doc/procmail-$VERSION
+cp -a \
+ Artistic COPYING* FAQ FEATURES HISTORY INSTALL KNOWN_BUGS \
+ README* examples \
+ $PKG/usr/doc/procmail-$VERSION
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" \
+ | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+# Build the package:
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/procmail-$VERSION-$ARCH-$BUILD.txz
+
diff --git a/source.local/n/procmail/procmail.lfs.diff.gz b/source.local/n/procmail/procmail.lfs.diff.gz
new file mode 100644
index 0000000..cd49e68
--- /dev/null
+++ b/source.local/n/procmail/procmail.lfs.diff.gz
Binary files differ
diff --git a/source.local/n/procmail/procmail_3.22-5.diff.gz b/source.local/n/procmail/procmail_3.22-5.diff.gz
new file mode 100644
index 0000000..491144e
--- /dev/null
+++ b/source.local/n/procmail/procmail_3.22-5.diff.gz
Binary files differ
diff --git a/source.local/n/procmail/slack-desc b/source.local/n/procmail/slack-desc
new file mode 100644
index 0000000..f017ef9
--- /dev/null
+++ b/source.local/n/procmail/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+procmail: procmail (mail processing and local delivery program)
+procmail:
+procmail: Can be used to create mail-servers, mailing lists, sort your incoming
+procmail: mail into separate folders/files (real convenient when subscribing to
+procmail: one or more mailing lists or for prioritizing your mail), preprocess
+procmail: your mail, start any programs upon mail arrival (e.g. to generate
+procmail: different chimes on your workstation for different types of mail) or
+procmail: selectively forward certain incoming mail automatically to someone.
+procmail: Procmail is required by sendmail to deliver the local mail.
+procmail: The author of procmail is Stephen R. van den Berg.
+procmail: